Bug 1365042 - python-XStatic-Angular-lrdragndrop: Provide a Python 3 subpackage
python-XStatic-Angular-lrdragndrop: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-XStatic-Angular-lrdragndrop (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-08-08 08:01 EDT by Tomas Orsava
Modified: 2016-10-14 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-14 07:39:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file with a Python 3 subpackage (4.50 KB, patch)
2016-10-07 14:34 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-08-08 08:01:57 EDT
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/
Comment 1 Jan Beran 2016-10-07 14:34 EDT
Created attachment 1208211 [details]
Spec file with a Python 3 subpackage
Comment 2 Petr Viktorin 2016-10-14 06:40:41 EDT
This was fixed in 1.0.2.2-5. Thank you, Jan!

Matthias, do you need to keep the bug open, or can it be closed?
Comment 3 Matthias Runge 2016-10-14 07:39:41 EDT
Petr, I just forgot to close the bug.

Note You need to log in before you can comment on or make changes to this bug.